// ......................................................................
// .	ut4_abaddon.shader for ut4_dispatch				.
// .	Urban Terror 4.34						.
// ..............sneaks.................................	11_nov_2023


textures/ut4_abaddon/cementlight_cgtph
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/ut4_abaddon/cementlight_cgtph.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_abaddon/cementlight_cgt.tga
		blendFunc filter
	}
}


textures/ut4_abaddon/cementlight_edge_cgt						//receive shadow, cast no shadow
{
	qer_editor_image textures/ut4_abaddon/cementlight_edge_cgt.tga
	surfaceparm trans
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_abaddon/cementlight_cgt.tga
		blendFunc filter
	}
}


textures/ut4_abaddon/drum44side01
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/ut4_abaddon/drum44side01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_abaddon/drum44side01.tga
		blendFunc filter
	}
}


textures/ut4_abaddon/drum44siderad
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/ut4_abaddon/drum44siderad.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_abaddon/drum44siderad.tga
		blendFunc filter
	}
}


textures/ut4_abaddon/meshfence
{
	qer_trans 0.4
	qer_editor_image textures/ut4_abaddon/meshfence.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
//	nomipmaps
	cull disable
	{
		map textures/ut4_abaddon/meshfence.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_abaddon/modelclip
{
	qer_trans 0.4
	qer_editor_image textures/ut4_abaddon/modelclip.tga
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm alphashadow
}


textures/ut4_abaddon/modelcliphardwood
{
	qer_trans 0.4
	qer_editor_image textures/ut4_abaddon/modelcliphardwood.tga
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm alphashadow
}


textures/ut4_abaddon/modelcliptin
{
	qer_trans 0.4
	qer_editor_image textures/ut4_abaddon/modelcliptin.tga
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm alphashadow
}


textures/ut4_abaddon/paintcan_side
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/ut4_abaddon/paintcan_side.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_abaddon/paintcan_side.tga
		blendFunc filter
	}
}


textures/ut4_abaddon/paintwhite_cgt
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/ut4_abaddon/paintwhite_cgt.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_abaddon/paintwhite_cgt.tga
		blendFunc filter
	}
}


textures/ut4_abaddon/steel_silverrocket
{
	qer_editorImage textures/ut4_abaddon/steel_silverrocket.tga
	cull disable
	{
		map textures/ut4_abaddon/steel_silverrocket.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
}


textures/ut4_abaddon/ventwire_cgt
{
	qer_editor_image textures/ut4_abaddon/ventwire_cgt.tga
	surfaceparm nolightmap
	surfaceparm trans
	polygonoffset
	sort 8
	{
		map textures/ut4_abaddon/ventwire_cgt.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Payphone wire transparency	
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ awesome urban payphones by valkover

models/mapobjects/vv_payphone/vv_payphone1_wire					// alpha patch (modified with permission)
{
	qer_editor_image models/mapobjects/vv_payphone/vv_payphone1_wire.tga
	surfaceparm trans
	{
		map models/mapobjects/vv_payphone/vv_payphone1_wire.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
}


// sneakslikesaki
// [m.cowin] 11 05 2024
